Subject: Re: bug#36583: 26.1; emacs 26 tries loading original user's .emacs after su to root

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Jul 2019 01:17:21 +0200

Stefan Monnier <[email-masked]> writes:

> FWIW, I find this behavior very surprising (and dangerous).

Yes, me too.  I can't think of any other program that behaves in this
manner.

> BTW, thinking about "dangerous" above, I guess the behavior might make
> sense when you're `su`ing *from* root rather than the other way around.

By default, /root on many systems isn't readable by anybody but root, so
I don't think it makes much sense in any situation...

I think Emacs shouldn't do this at all.  When was this introduced, and
what was the reasoning behind it?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no